Update a microfrontends group
PATCH
https://api.vercel.com/v1/teams/{teamId}/microfrontends/{groupId}Updates a microfrontends group's settings.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.teams.updateMicrofrontendsGroup({ groupId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { name: "MFE Group 1", }, });
console.log(result);}
run();Response
{ "updatedMicrofrontendsGroup": { "enablePolyrepoBranchRouting": "false", "fallbackEnvironment": "string", "id": "icfg_1234567890", "name": "Example Name", "slug": "string" }}AuthorizationbearerToken
Default authentication mechanism
application/json
The new fallback environment for the microfrontends group. Must be "SAME_ENV", "PRODUCTION", or a valid custom environment slug from the default app.